Name:           deja-dup
Version:        16.1.1
Release:        1%{?dist}
Summary:        Simple backup tool and frontend for duplicity

Group:          Applications/Archiving
License:        GPLv3+
URL:            https://launchpad.net/deja-dup
Source0:        http://launchpad.net/%{name}/16/%{version}/+download/%{name}-%{version}.tar.bz2
BuildRequires:  gettext desktop-file-utils intltool scrollkeeper
BuildRequires:  gnome-doc-utils pango-devel cairo-devel vala-devel
BuildRequires:  libtool GConf2 GConf2-devel glib2-devel libnotify-devel 
BuildRequires:  po4a unique-devel nautilus-devel gnome-keyring-devel
Requires:       duplicity 
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun):GConf2

%description
Déjà Dup is a simple backup tool. It hides the complexity of doing backups the 
'right way' (encrypted, off-site, and regular) and uses duplicity as the 
backend.

Features:
 • Support for local or remote backup locations, including Amazon S3
 • Securely encrypts and compresses your data
 • Incrementally backs up, letting you restore from any particular backup
 • Schedules regular backups
 • Integrates well into your GNOME desktop

%prep
%setup -q

%build
%configure --disable-static --disable-schemas-install
make %{?_smp_mflags}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -f %{buildroot}/%{_libdir}/nautilus/extensions-2.0/*.la
rm -f %{buildroot}/%{_datadir}/icons/Humanity/

%find_lang %{name}  --with-gnome 

%pre
%gconf_schema_prepare deja-dup

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%gconf_schema_upgrade deja-dup

%preun
%gconf_schema_remove deja-dup

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :



%files -f %{name}.lang 
%defattr(-,root,root,-)
%doc COPYING NEWS 
%{_bindir}/deja-*
%{_mandir}/man1/deja-dup.1.gz
%{_mandir}/*/man1/deja-dup.1.gz
%{_mandir}/man1/deja-dup-preferences.1.gz
%{_mandir}/*/man1/deja-dup-preferences.1.gz
%{_sysconfdir}/gconf/schemas/deja-dup.schemas
%{_sysconfdir}/xdg/autostart/deja-dup-monitor.desktop
%{_libdir}/nautilus/extensions-2.0/libnautilus-deja-dup.so
%{_libdir}/deja-dup/deja-dup-monitor
%{_datadir}/applications/deja-dup.desktop
%{_datadir}/applications/deja-dup-preferences.desktop
%{_datadir}/icons/hicolor/scalable/actions/deja-dup-backup.svg
%{_datadir}/icons/hicolor/scalable/actions/deja-dup-restore.svg
%{_datadir}/icons/hicolor/scalable/apps/deja-dup.svg
%{_datadir}/icons/hicolor/scalable/apps/deja-dup-symbolic.svg

%changelog
* Sat Mar 05 2011 Chris Smart <csmart@fedoraproject.org> - 16.1.1-1
- https://launchpad.net/deja-dup/+announcement/7239
- Upstream bug fix release
- This release fixes a bug in that caused help documentation to not be translated.

* Wed Dec 06 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 16.1-2
- Update source

* Wed Dec 06 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 16.1-1
- Upstream bug fix release

* Sun Jun 06 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 15.3-2
- Drop the dependency on yelp

* Sun Jun 06 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 15.3-1
- Several bug fixes including a potential data loss fix

* Sat May 08 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 15.1-1
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/trunk/revision/646#NEWS
- Reorganize help documentation to use new mallard format
- Change terminology for 'backup' verb to 'back up'
- Many new and updated translations
 
* Sat May 01 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 14.1-1
- https://launchpad.net/deja-dup/+announcement/5730
- Fix critical bugs preventing backup to external disks and restore single dir

* Sun Apr 18 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 14.0.3-1
- https://launchpad.net/deja-dup/+announcement/5630
- fix restoring to a non-empty directory

* Mon Apr 12 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 14.0.2-1
- https://launchpad.net/deja-dup/+announcement/5544
- drop the clean section

* Thu Apr 01 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 14.0-1
- new upstream release
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/14/annotate/head:/NEWS
- Gconf schema installation. Fixes rhbz #577004

* Mon Mar 20 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 13.92-1
- new upstream release
- https://launchpad.net/deja-dup/+announcement/5313

* Mon Mar 01 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 13.91-1
- new upstream release
- Fix review issues

* Tue Dec 22 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 13.4-1
- new upstream release
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/trunk/revision/557#NEWS

* Tue Dec 08 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 13.3-1
- new upstream release

* Tue Nov 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 11.1-1
- Initial spec
